Bug 481468 - Could not uninstall / erase nethack-3.4.3-18.fc10.x86_64 package
Could not uninstall / erase nethack-3.4.3-18.fc10.x86_64 package
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nethack (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-25 04:50 EST by András Szilárd
Modified: 2016-09-19 22:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-25 05:27:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description András Szilárd 2009-01-25 04:50:53 EST
Description of problem:
Could not uninstall nethack.

# yum erase nethack-3.4.3-18.fc10.x86_64
[...]
Running Transaction
rm: cannot remove `/etc/X11/fontpath.d/nethack': No such file or directory
rm: cannot remove `/usr/games/nethack-3.4.3/fonts/fonts.dir': No such file or directory
====================================================================== Leaving rpm code ======================================================================

Removed:
  nethack.x86_64 0:3.4.3-18.fc10                                                                                                                              

Complete!

But, the package was not really removed.

Version-Release number of selected component (if applicable):

$ rpm -qi nethack-3.4.3-18.fc10.x86_64
Name        : nethack                      Relocations: (not relocatable)
Version     : 3.4.3                             Vendor: Fedora Project
Release     : 18.fc10                       Build Date: Mon 11 Aug 2008 08:55:47 PM CEST
Install Date: Fri 28 Nov 2008 08:51:49 PM CET      Build Host: x86-5
Group       : Amusements/Games              Source RPM: nethack-3.4.3-18.fc10.src.rpm
Size        : 5827973                          License: NGPL
Signature   : DSA/SHA1, Wed 29 Oct 2008 05:14:18 AM CET, Key ID bf226fcc4ebfc273
Packager    : Fedora Project
URL         : http://nethack.org
Summary     : A rogue-like single player dungeon exploration game

How reproducible:
always

Workaround:
# touch /etc/X11/fontpath.d/nethack
# touch /usr/games/nethack-3.4.3/fonts/fonts.dir
# yum erase nethack-3.4.3-18.fc10.x86_64
[...]
Running Transaction
  Erasing        : nethack                                                                                                                                1/1 
====================================================================== Leaving rpm code ======================================================================

Removed:
  nethack.x86_64 0:3.4.3-18.fc10                                                                                                                              

Complete!
Comment 1 András Szilárd 2009-01-25 05:27:07 EST
Sorry for the inconvenience caused, an other package must be responsible for this fault. Unfortunately, I am not sure which.
Installing, and right after removing the nethack package works.

Note You need to log in before you can comment on or make changes to this bug.